UpdateABTest
Updates an A/B test's configuration, including variants, traffic allocation, evaluation settings, or execution status.
Request Syntax
PUT /ab-tests/abTestId HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"description": "string",
"evaluationConfig": { ... },
"executionStatus": "string",
"gatewayFilter": {
"targetPaths": [ "string" ]
},
"name": "string",
"roleArn": "string",
"variants": [
{
"name": "string",
"variantConfiguration": {
"configurationBundle": {
"bundleArn": "string",
"bundleVersion": "string"
},
"target": {
"name": "string"
}
},
"weight": number
}
]
}
URI Request Parameters
The request uses the following URI parameters.
- abTestId
-
The unique identifier of the A/B test to update.
Pattern:
[a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- description
-
The updated description of the A/B test.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 200.
Required: No
- evaluationConfig
-
The updated evaluation configuration.
Type: ABTestEvaluationConfig object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
- executionStatus
-
The updated execution status to enable or disable the A/B test.
Type: String
Valid Values:
PAUSED | RUNNING | STOPPED | NOT_STARTEDRequired: No
- gatewayFilter
-
The updated gateway filter.
Type: GatewayFilter object
Required: No
- name
-
The updated name of the A/B test.
Type: String
Pattern:
[a-zA-Z][a-zA-Z0-9_]{0,47}Required: No
- roleArn
-
The updated IAM role ARN.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:iam::([0-9]{12})?:role/.+Required: No
- variants
-
The updated list of variants.
Type: Array of Variant objects
Array Members: Fixed number of 2 items.
Required: No
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"abTestArn": "string",
"abTestId": "string",
"executionStatus": "string",
"status": "string",
"updatedAt": number
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
- abTestArn
-
The Amazon Resource Name (ARN) of the updated A/B test.
Type: String
Pattern:
arn:aws[a-zA-Z-]*:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:ab-test/[a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10} - abTestId
-
The unique identifier of the updated A/B test.
Type: String
Pattern:
[a-zA-Z][a-zA-Z0-9-_]{0,99}-[a-zA-Z0-9]{10} - executionStatus
-
The execution status of the A/B test.
Type: String
Valid Values:
PAUSED | RUNNING | STOPPED | NOT_STARTED - status
-
The status of the A/B test.
Type: String
Valid Values:
CREATING | ACTIVE | CREATE_FAILED | UPDATING | UPDATE_FAILED | DELETING | DELETE_FAILED | FAILED - updatedAt
-
The timestamp when the A/B test was updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The exception that occurs when you do not have sufficient permissions to perform an action. Verify that your IAM policy includes the necessary permissions for the operation you are trying to perform.
HTTP Status Code: 403
- ConflictException
-
The exception that occurs when the request conflicts with the current state of the resource. This can happen when trying to modify a resource that is currently being modified by another request, or when trying to create a resource that already exists.
HTTP Status Code: 409
- InternalServerException
-
The exception that occurs when the service encounters an unexpected internal error. This is a temporary condition that will resolve itself with retries. We recommend implementing exponential backoff retry logic in your application.
HTTP Status Code: 500
- ResourceNotFoundException
-
The exception that occurs when the specified resource does not exist. This can happen when using an invalid identifier or when trying to access a resource that has been deleted.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The exception that occurs when the request would cause a service quota to be exceeded. Review your service quotas and either reduce your request rate or request a quota increase.
HTTP Status Code: 402
- ThrottlingException
-
The exception that occurs when the request was denied due to request throttling. This happens when you exceed the allowed request rate for an operation. Reduce the frequency of requests or implement exponential backoff retry logic in your application.
HTTP Status Code: 429
- UnauthorizedException
-
This exception is thrown when the JWT bearer token is invalid or not found for OAuth bearer token based access
HTTP Status Code: 401
- ValidationException
-
The exception that occurs when the input fails to satisfy the constraints specified by the service. Check the error message for details about which input parameter is invalid and correct your request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: